package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CardReplacementRecord;

/**
 * 补卡记录Service接口
 * 
 * @author ruoyi
 * @date 2023-02-08
 */
public interface ICardReplacementRecordService 
{
    /**
     * 查询补卡记录
     * 
     * @param id 补卡记录主键
     * @return 补卡记录
     */
    public CardReplacementRecord selectCardReplacementRecordById(Long id);

    /**
     * 查询补卡记录列表
     * 
     * @param cardReplacementRecord 补卡记录
     * @return 补卡记录集合
     */
    public List<CardReplacementRecord> selectCardReplacementRecordList(CardReplacementRecord cardReplacementRecord);

    /**
     * 新增补卡记录
     * 
     * @param cardReplacementRecord 补卡记录
     * @return 结果
     */
    public int insertCardReplacementRecord(CardReplacementRecord cardReplacementRecord);

    /**
     * 修改补卡记录
     * 
     * @param cardReplacementRecord 补卡记录
     * @return 结果
     */
    public int updateCardReplacementRecord(CardReplacementRecord cardReplacementRecord);

    /**
     * 批量删除补卡记录
     * 
     * @param ids 需要删除的补卡记录主键集合
     * @return 结果
     */
    public int deleteCardReplacementRecordByIds(Long[] ids);

    /**
     * 删除补卡记录信息
     * 
     * @param id 补卡记录主键
     * @return 结果
     */
    public int deleteCardReplacementRecordById(Long id);

    int putPass(CardReplacementRecord cardReplacementRecord);

    List<CardReplacementRecord> presentList(CardReplacementRecord cardReplacementRecord);
}
